#version 100

// vsPosition was bound to attribute index 0 and vsColor was bound to attribute index 1
attribute vec3 vsPosition;
attribute vec3 vsNormal;
attribute vec4 vsColor;
attribute vec2 vsTextureUV;

// Our outputs the next shader (fragment) in the chain
varying vec4 fsColor;
varying vec2 fsTextureUV;

uniform mat4 uObjectToProjection;

void main(void)
{
	//.xyww will force w/w to put the sky verts at max depth.
	gl_Position = (vec4(vsPosition, 1.0) * uObjectToProjection).xyww;
	
	fsColor = vsColor;
	fsTextureUV = vsTextureUV;
}
