#version 150

// vsPosition was bound to attribute index 0 and vsColor was bound to attribute index 1
in vec3 vsPosition;
in vec3 vsNormal;
in vec4 vsColor;
in vec2 vsTextureUV;
 
// Our outputs the next shader (fragment) in the chain
out vec3 fsNormal;
out vec4 fsColor;
out vec2 fsTextureUV;

// diffuseTexture is a 2D texture sampler for diffuse texture.
uniform sampler2D sAlbedoTexture;
uniform mat4 uObjectToProjection;
uniform mat4 uObjectToWorld;

void main(void)
{
	gl_Position = vec4(vsPosition, 1.0) * uObjectToProjection;

	fsNormal = vec3(normalize(vec4(vsNormal, 0.0) * uObjectToWorld));

	vec2 textureUV = vec2(vsColor.r, 0.0);
	fsColor = texture(sAlbedoTexture, textureUV);
	fsTextureUV = vsTextureUV;
}
