#version 100

attribute vec3 vsPosition;
attribute vec3 vsNormal;
attribute vec4 vsColor;
attribute vec2 vsTextureUV;
 
// Our outputs the next shader (fragment) in the chain
varying vec3 fsNormal;
varying vec4 fsColor;
varying vec2 fsTextureUV;

uniform mat4 uObjectToProjection;
uniform mat4 uObjectToWorld;

void main(void)
{
	gl_Position = vec4(vsPosition, 1.0) * uObjectToProjection;

	fsNormal = vec3(normalize(vec4(vsNormal, 0.0) * uObjectToWorld));

	fsColor = vsColor;
	fsTextureUV = vsTextureUV;
}
